{% extends "src/elements/_template.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "UI kit" %}

{% block content %}
    <h1>{{ title }}</h1>
    <ul class="breadcrumb">
        <li class="breadcrumb__item">
            <a href="#" class="breadcrumb__link">Homepage</a>
        </li>
        <li class="breadcrumb__item">
            <a href="#" class="breadcrumb__link">Support</a>
        </li>
        <li class="breadcrumb__item">UI-kit</li>
    </ul>

    <h3>Form</h3>

    <div class="mb-40" style="max-width: 400px">
        <div class="form-group">
            <div class="form-label">Ваше имя <span class="color-red">*</span></div>
            <label class="field">
                <input type="text" name="name" placeholder="">
                <span class="field__error">Неправильно введено Ваше имя</span>
            </label>
        </div><!-- .form-group -->

        <div class="form-group">
            <div class="form-label">Телефон <span class="color-red">*</span></div>
            <div class="field field--phone" data-phone>
                <input type="text" name="name" placeholder="" data-phone-value>
                <span class="field__error">Укажите Ваш телефон</span>
                <div class="code-switcher" data-phone-code>
                    <div class="code-switcher__button" data-phone-button>
                        <div class="code-switcher__arrow">
                            <svg class="ico-svg" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                                <use xlink:href="img/sprites/sprite.svg#arrow_down" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                            </svg>
                        </div>
                        <div class="code-switcher__flag" data-phone-flag>
                            <img src="img/flag_rus.svg" class="img-fluid" alt="">
                        </div>
                    </div><!-- .code-switcher__button -->
                    <div class="code-switcher__dropdown" data-phone-dropdown>
                        <div class="code-switcher__item active" data-phone-item="ru">
                            <i>
                                <img src="img/flag_rus.svg" class="img-fluid" alt="">
                            </i>
                            <span>Россия</span>
                        </div>
                        <div class="code-switcher__item" data-phone-item="be">
                            <i>
                                <img src="img/flag_bel.svg" class="img-fluid" alt="">
                            </i>
                            <span>Белоруссия</span>
                        </div>
                        <div class="code-switcher__item" data-phone-item="kz">
                            <i>
                                <img src="img/flag_kz.svg" class="img-fluid" alt="">
                            </i>
                            <span>Казахстан</span>
                        </div>
                    </div>

                </div><!-- .code-switcher -->
            </div>
        </div><!-- .form-group -->

        <div class="form-group">
            <div class="form-label">Комментарий</div>
            <label class="field">
                <textarea name="message" rows="4"></textarea>
            </label>
        </div><!-- .form-group -->

        <div class="form-group">
            <label class="file-field" data-file>
                <input type="file" name="file" class="file-field__input" data-file-input>
                <i class="file-field__icon">
                    <svg class="ico-svg" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                        <use xlink:href="img/sprites/sprite.svg#paperclip" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                    </svg>
                </i>
                <span class="file-field__placeholder" data-file-placeholder><span class="color-blue">Выберите</span> файл</span>
                <span class="file-field__name" data-file-name></span>
            </label>
        </div>

        <div class="mb-12 text-right">
            <button type="submit" class="btn btn-primary">
                <span>Отправить</span>
            </button>
        </div>
        <div class="form-note">Нажимая кнопку «Отправить», Вы соглашаетесь с условиями <a href="#">политики конфиденциальности</a></div>

    </div>

{% endblock %}
